Chief Tools Logo
Domain Chief API v1

Endpoints for managing DNS.


List DNS records

GET
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

List all DNS records for the domain.

You can only manage DNS records for domains that use hosted DNS.

List DNS records › path Parameters

domainNameOrId
​string · required

full domain name or ID

List DNS records › query Parameters

query
​string · minLength: 1

Search query.

sort
​string[] · maxItems: 5 · style: form

Sort by up to five fields, separated by commas. Prefix a field with - for descending order.

Enum values:
type
-type
prio
-prio
name
-name
content
-content
Default: ["id"]
page
​integer · min: 1
Default: 1
per_page
​integer · min: 1 · max: 100
Default: 50
​object

Search metadata key-value pairs. Only exact matches are supported.

List DNS records › Responses

Paginated set of DNSRecord

​DNSRecord[] · required
​object · required
​object · required

Create DNS record

POST
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Create a single DNS record for the domain.

You can only manage DNS records for domains that use hosted DNS.

Create DNS record › path Parameters

domainNameOrId
​string · required

full domain name or ID

Create DNS record › Request Body

type
​string · enum · required
Enum values:
A
AAAA
CNAME
MX
TXT
ALIAS
CAA
SRV
content
​string · required
ttl
​integer · min: 60 · max: 2592000 · required

The record TTL in seconds. Supported values are 60, 300, 900, 1800, 3600, 21600, 43200, 86400, 172800, 259200, 604800, 1209600, and 2592000.

You may also pass any integer between 60 and 2592000. It will be adjusted to the closest supported TTL before the record is saved.

Example: 3600
name
​string
prio
​integer · min: 0 · max: 65535
comment
​string | null · maxLength: 255
​object

Optional metadata to attach to the record. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters. Metadata values must be strings and cannot exceed 500 characters. A record cannot have more than 50 metadata keys.

Example: {"key1":"value1","key2":"value2"}

Create DNS record › Responses

DNSRecord

​DNSRecord · required

Show DNS record

GET
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/{dnsRecordId}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Show a single DNS record for the domain.

You can only manage DNS records for domains that use hosted DNS.

Show DNS record › path Parameters

domainNameOrId
​string · required

full domain name or ID

dnsRecordId
​string · required

Show DNS record › Responses

DNSRecord

​DNSRecord · required

Update DNS record

PUT
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/{dnsRecordId}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Update a single DNS record for the domain.

You can only manage DNS records for domains that use hosted DNS.

Update DNS record › path Parameters

domainNameOrId
​string · required

full domain name or ID

dnsRecordId
​string · required

Update DNS record › Request Body

type
​string · enum · required
Enum values:
A
AAAA
CNAME
MX
TXT
ALIAS
CAA
SRV
content
​string · required
ttl
​integer · min: 60 · max: 2592000 · required

The record TTL in seconds. Supported values are 60, 300, 900, 1800, 3600, 21600, 43200, 86400, 172800, 259200, 604800, 1209600, and 2592000.

You may also pass any integer between 60 and 2592000. It will be adjusted to the closest supported TTL before the record is saved.

Example: 3600
name
​string
prio
​integer · min: 0 · max: 65535
comment
​string | null · maxLength: 255
​object

Optional metadata to attach to the record. Metadata keys must be strings and cannot exceed 40 characters or contain [ or ] characters. Metadata values must be strings and cannot exceed 500 characters. A record cannot have more than 50 metadata keys.

To remove a metadata key, set its value to an empty string. To remove all metadata, set the metadata field to an empty object: {}.

Example: {"key1":"value1","key2":"value2"}

Update DNS record › Responses

DNSRecord

​DNSRecord · required

Delete DNS record

DELETE
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/{dnsRecordId}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Deletes a single DNS record for the domain.

You can only manage DNS records for domains that use hosted DNS.

Delete DNS record › path Parameters

domainNameOrId
​string · required

full domain name or ID

dnsRecordId
​string · required

Delete DNS record › Responses

No data returned

Copy DNS records from another hosted zone

POST
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/copy
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Replace all DNS records for the destination domain with copies from another hosted DNS domain owned by the authenticated team. Only the record type, name, content, TTL, priority, and comment are copied. Hostname targets within the source zone are rewritten for the destination zone.

The records are replaced immediately. Allow time for the DNS changes to become visible.

This operation is irreversible and will replace all DNS records in the destination zone.

Copy DNS records from another hosted zone › path Parameters

domainNameOrId
​string · required

destination full domain name or ID

Copy DNS records from another hosted zone › Request Body

source_domain
​string · maxLength: 255 · required

The source full domain name or Domain Chief domain ID.

Copy DNS records from another hosted zone › Responses

The destination records were replaced and DNS publication was accepted.

copied_records
​integer · required
source_domain
​string · required
destination_domain
​string · required

Clear DNS records

POST
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/clear
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Remove all DNS records for the domain.

If redirects (web or mail) are configured, their records will still be present after the reset.

You can only manage DNS records for domains that use hosted DNS.

This operation is irreversible and will remove all DNS records.

Clear DNS records › path Parameters

domainNameOrId
​string · required

full domain name or ID

Clear DNS records › Responses

No content

No data returned

Reset DNS records

POST
https://domain.chief.app/api/v1
/domains/{domainNameOrId}/dns/records/reset
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Reset all DNS records for the domain to the default settings.

You can only manage DNS records for domains that use hosted DNS.

This operation is irreversible and will reset all DNS records the their Domain Chief default settings.

Reset DNS records › path Parameters

domainNameOrId
​string · required

full domain name or ID

Reset DNS records › Responses

No content

No data returned